Bug 663542 (CVE-2010-4347) - CVE-2010-4347 kernel: local privilege escalation via /sys/kernel/debug/acpi/custom_method
Summary: CVE-2010-4347 kernel: local privilege escalation via /sys/kernel/debug/acpi/c...
Status: CLOSED ERRATA
Alias: CVE-2010-4347
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101113,reported=20101216,sou...
Keywords: Security
Depends On: 663543
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 05:47 UTC by Eugene Teo (Security Response)
Modified: 2015-07-31 06:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 03:11:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0330 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC

Description Eugene Teo (Security Response) 2010-12-16 05:47:40 UTC
Reported by Dave Jones, currently we have:

--w--w--w-. 1 root root 0 2010-11-11 14:56 /sys/kernel/debug/acpi/custom_method

which is just crazy. Change this to --w-------.

This custom_method file allows to inject custom ACPI methods into the ACPI interpreter tables. This control file was introduced with world writeable permissions in Linux Kernel 2.6.33.

Introduced in:
http://git.kernel.org/linus/a1a541d86f50a9957beeedb122a035870d602647
http://git.kernel.org/linus/a25ee9200eef07377e1703697afbb5d81f89e500

Fixed in:
http://git.kernel.org/linus/ed3aada1bf34c5a9e98af167f125f8a740fc726a

Comment 2 Eugene Teo (Security Response) 2010-12-16 06:01:34 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 4, 5, and 6 as they did not include upstream commit a1a541d8 and a25ee920 that introduced the problem. This has been addressed in Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0330.html.

Notes:

This requires debugfs to be mounted on a local system in order to have access to the custom_method file. Debugfs is not mounted by default. You need to run "mount -t debugfs nodev /sys/kernel/debug" as root first.

Comment 3 errata-xmlrpc 2011-03-10 20:04:58 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html


Note You need to log in before you can comment on or make changes to this bug.